display-fbdev(7)

NAME
display-fbdev : Display using Linux kernel framebuffer devices

SYNOPSIS
display-fbdev: [ [-noinput] | [ [-nokbd] | [-nomouse] ] ] [-novt]
               [-physz=<sizex>,<sizey>[dpi]] [<framebuffer>]

DESCRIPTION
Uses the Linux /dev/fb* devices to do fullscreen graphics. When using a regular fbdev driver, /etc/fb.modes is used to determine the available modes for the device. Driver timings and resolutions can be automatically obtained when running under KGIcon.

OPTIONS

framebuffer
    The filename of the framebuffer target to use. The default is to get it from the FRAMEBUFFER environment, or the framebuffer associated with the current console if that is unset.

'-nokbd'
    Do not open any libraries for keyboard input.

'-nomouse'
    Do not open any libraries for mouse input.

'-noinput'
    Same as both '-nokbd' and '-nomouse'.

'-novt'
    Disable virtual console support.

'-physz=<sizex>,<sizey>[dpi]'
    This option will provide a physical screen size for applications which wish to remain resolution independent. sizex,:p:sizey are the x,y size of the screen in millimeters, unless the optional 'dpi' string is affixed, in which case, they represent resolution in dots-per-inch.

FEATURES

•   DirectBuffer always available.

•   Accelerated when using KGIcon or matroxfb.

•   Multiple frames.

•   Panning.

SEE ALSO
fb.modes(5)